Networking Guide uses RFC1918 IPv4 ranges instead of RFC5737

Bug #1656378 reported by Clint Byrum on 2017-01-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
neutron
High
Akihiro Motoki
openstack-manuals
High
Chason Chan

Bug Description

***UPDATE***

An etherpad for tracking the required changes can be found here:

https://etherpad.openstack.org/p/non-compliant-ip-subnets

************

Hi! I was reading the guide on the "Get me a network" bits, and I realized that the whole manual is using the wrong address ranges.

RFC5737 defines three ranges for use in documentation:

3. Documentation Address Blocks

   The blocks 192.0.2.0/24 (TEST-NET-1), 198.51.100.0/24 (TEST-NET-2),
   and 203.0.113.0/24 (TEST-NET-3) are provided for use in
   documentation.

These are non-routable addresses, even privately, and the RFC is specifically provided to avoid problems like overlap (If everyone uses the 10.x ranges because that's what's in the manuals, we end up with even more overlap than usual).

https://tools.ietf.org/rfc/rfc5737.txt

It's worth noting that the manual _is_ compliant with RFC3848, which defines the IPv6 documentation range as 2001:db8::/32.

-----------------------------------
Release: 0.9 on 2017-01-12 12:47
SHA: 03c62feaf3779cc3b0491f83bcb5eb2dd3442e2a
Source: http://git.openstack.org/cgit/openstack/openstack-manuals/tree/doc/networking-guide/source/config-auto-allocation.rst
URL: http://docs.openstack.org/newton/networking-guide/config-auto-allocation.html

Tags: doc Edit Tag help
Changed in openstack-manuals:
status: New → Confirmed
importance: Undecided → High
John Davidge (john-davidge) wrote :

Hey Clint, thanks for pointing this out. I wasn't aware of that RFC at all! I'm going to look into adding this to our doc conventions to avoid future non-compliant additions.

Changed in openstack-manuals:
assignee: nobody → John Davidge (john-davidge)
Changed in openstack-manuals:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/420670
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=d5c8ea48aed3fc0bd4221311df9b734c4ab9a1e0
Submitter: Jenkins
Branch: master

commit d5c8ea48aed3fc0bd4221311df9b734c4ab9a1e0
Author: John Davidge <email address hidden>
Date: Mon Jan 16 11:43:19 2017 +0000

    [networking] Add RFC 5737 and 3849 compliance

    Update the Networking Guide Introduction section to include compliance
    with RFC 5737 and 3849.

    Change-Id: Ifd739f9a8b46ca378555c26e5daf26eaff83531e
    Related-Bug: #1656378

kavitha h r (nidi) on 2017-02-01
Changed in openstack-manuals:
status: In Progress → Fix Committed

Nice work! I had originally meant to make a patch myself but got
distracted. :)

Excerpts from kavitha h r's message of 2017-02-01 10:11:24 UTC:
> ** Changed in: openstack-manuals
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1656378
>
> Title:
> Networking Guide uses RFC1918 IPv4 ranges instead of RFC5737
>
> Status in openstack-manuals:
> Fix Committed
>
> Bug description:
> Hi! I was reading the guide on the "Get me a network" bits, and I
> realized that the whole manual is using the wrong address ranges.
>
> RFC5737 defines three ranges for use in documentation:
>
> 3. Documentation Address Blocks
>
> The blocks 192.0.2.0/24 (TEST-NET-1), 198.51.100.0/24 (TEST-NET-2),
> and 203.0.113.0/24 (TEST-NET-3) are provided for use in
> documentation.
>
> These are non-routable addresses, even privately, and the RFC is
> specifically provided to avoid problems like overlap (If everyone uses
> the 10.x ranges because that's what's in the manuals, we end up with
> even more overlap than usual).
>
> https://tools.ietf.org/rfc/rfc5737.txt
>
> It's worth noting that the manual _is_ compliant with RFC3848, which
> defines the IPv6 documentation range as 2001:db8::/32.
>

John Davidge (john-davidge) wrote :

This bug is still open. The new guideline has merged, but there are still examples of non-compliance to be addressed.

Changed in openstack-manuals:
status: Fix Committed → In Progress
description: updated

Reviewed: https://review.openstack.org/428758
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=eb1ff2a0546fdf9c08554273bb7b5ba64f27c4a8
Submitter: Jenkins
Branch: master

commit eb1ff2a0546fdf9c08554273bb7b5ba64f27c4a8
Author: John Davidge <email address hidden>
Date: Fri Feb 3 14:19:51 2017 +0000

    [networking] RFC 5737 compliance: service subnets

    Replace non-compliant subnets in:

    config-service-subnets.rst

    Change-Id: Ib5cb10588e0293dcb7e9105702238c9914fce39b
    Partial-Bug: #1656378

Changed in openstack-manuals:
milestone: none → ocata

Fix proposed to branch: master
Review: https://review.openstack.org/433145

Fix proposed to branch: master
Review: https://review.openstack.org/433153

Reviewed: https://review.openstack.org/433153
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=63c7c20842763576b8c2c04968a28a1c5c0f6171
Submitter: Jenkins
Branch: master

commit 63c7c20842763576b8c2c04968a28a1c5c0f6171
Author: John Davidge <email address hidden>
Date: Mon Feb 13 16:07:53 2017 +0000

    [networking] RFC 5737: Routed Networks

    Replace non-compliant subnets in:

    config-routed-networks.rst

    Change-Id: I31fc52ae3e59e3fc95eabf70b769e839c85f7647
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/433145
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=6662e41e404a5bd2b7a43178dd2dabb0bab8779b
Submitter: Jenkins
Branch: master

commit 6662e41e404a5bd2b7a43178dd2dabb0bab8779b
Author: John Davidge <email address hidden>
Date: Mon Feb 13 15:41:56 2017 +0000

    [networking] RFC 5737: QoS

    Replaces non-compliant subnets in:

    config-qos.rst

    Change-Id: I1b324404b5ff4f7082041b3ca5403da0775623bd
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/433138
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=8abf3a9f3efce63cd72931fdc35ceeb53aceaa6f
Submitter: Jenkins
Branch: master

commit 8abf3a9f3efce63cd72931fdc35ceeb53aceaa6f
Author: John Davidge <email address hidden>
Date: Mon Feb 13 15:29:17 2017 +0000

    [networking] RFC 5737: Migration legacy/l3-ha

    Addresses RFC 5737 by removing unnecessary data included in the
    router show output when the page was updated to use OSC.

    Change-Id: I68b21dd95884777c1e17872f00fd750489c40f19
    Partial-Bug: #1656378

Fix proposed to branch: master
Review: https://review.openstack.org/440658

Changed in openstack-manuals:
assignee: John Davidge (john-davidge) → caoyuan (cao-yuan)

Fix proposed to branch: master
Review: https://review.openstack.org/440664

Fix proposed to branch: master
Review: https://review.openstack.org/440667

Fix proposed to branch: master
Review: https://review.openstack.org/440677

Fix proposed to branch: master
Review: https://review.openstack.org/440681

Fix proposed to branch: master
Review: https://review.openstack.org/440684

Fix proposed to branch: master
Review: https://review.openstack.org/440687

Fix proposed to branch: master
Review: https://review.openstack.org/440690

Fix proposed to branch: master
Review: https://review.openstack.org/440691

Fix proposed to branch: master
Review: https://review.openstack.org/440695

Fix proposed to branch: master
Review: https://review.openstack.org/440703

Fix proposed to branch: master
Review: https://review.openstack.org/440705

Fix proposed to branch: master
Review: https://review.openstack.org/440709

Fix proposed to branch: master
Review: https://review.openstack.org/440712

Changed in openstack-manuals:
assignee: caoyuan (cao-yuan) → John Davidge (john-davidge)

Change abandoned by caoyuan (cao.yuan@99cloud.net) on branch: master
Review: https://review.openstack.org/440705

Changed in openstack-manuals:
assignee: John Davidge (john-davidge) → caoyuan (cao-yuan)

Change abandoned by caoyuan (cao.yuan@99cloud.net) on branch: master
Review: https://review.openstack.org/440712

Change abandoned by caoyuan (cao.yuan@99cloud.net) on branch: master
Review: https://review.openstack.org/440690

Change abandoned by caoyuan (cao.yuan@99cloud.net) on branch: master
Review: https://review.openstack.org/440691

Reviewed: https://review.openstack.org/440658
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=9c332c873e0a0135db415d32a2a8cbf383d1df69
Submitter: Jenkins
Branch: master

commit 9c332c873e0a0135db415d32a2a8cbf383d1df69
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:04:55 2017 +0800

    [networking] RFC 5737:config-lbaas

    Change-Id: I4218412f78db27257c1a9e5b711833e2c3f86976
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440664
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=eb1302e1899691557e8b281ce966335cea35b368
Submitter: Jenkins
Branch: master

commit eb1302e1899691557e8b281ce966335cea35b368
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:14:39 2017 +0800

    [networking] RFC 5737: config-trunking

    Change-Id: I000e62541ee4f6d9cd73b3804153ff628e9fce36
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440684
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=28c8522cc834cb8e8bec07546a6daff82c25fc61
Submitter: Jenkins
Branch: master

commit 28c8522cc834cb8e8bec07546a6daff82c25fc61
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:44:30 2017 +0800

    [networking] RFC 5737: misc-libvirt

    Replaces non-compliant subnets in:

    misc-libvirt.rst

    Change-Id: Ib02ada4681849f036d61cb0e3f415b8353f8c1ff
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440687
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=d9acaa833e57a3eb815a1de66201964bf44e741a
Submitter: Jenkins
Branch: master

commit d9acaa833e57a3eb815a1de66201964bf44e741a
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:48:52 2017 +0800

    [networking] RFC 5737: ops-ip-availability

    Replaces non-compliant subnets in:

    ops-ip-availability.rst

    Change-Id: I089d065de8d088b5b97a9a01fa81829fb7543924
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440677
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=27f82681a77597f35a57ea7e0dc28fb7fcd4d7af
Submitter: Jenkins
Branch: master

commit 27f82681a77597f35a57ea7e0dc28fb7fcd4d7af
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:35:49 2017 +0800

    [networking] RFC 5737: dhcp-ha

    Replaces non-compliant subnets in:

    config-dhcp-ha.rst

    Change-Id: Ie963bad2a26405cfe1fa24232373bf1825782712
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440709
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=eb8ef66faa56ba08e8b309e9ed0662b3a0f48d3d
Submitter: Jenkins
Branch: master

commit eb8ef66faa56ba08e8b309e9ed0662b3a0f48d3d
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 01:09:49 2017 +0800

    [networking] RFC 5737: config-auto-allocation

    Replaces non-compliant subnets in:

    config-auto-allocation.rst

    Change-Id: I84f43f4ef02b83b1835b0bf13e73f6784241fe60
    Partial-Bug: #1656378

Fix proposed to branch: master
Review: https://review.openstack.org/441753

Fix proposed to branch: master
Review: https://review.openstack.org/441755

Fix proposed to branch: master
Review: https://review.openstack.org/441756

Fix proposed to branch: master
Review: https://review.openstack.org/441759

Reviewed: https://review.openstack.org/441759
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=07662fd223b1a6fea4041de452008e7431ff6c97
Submitter: Jenkins
Branch: master

commit 07662fd223b1a6fea4041de452008e7431ff6c97
Author: caoyuan <cao.yuan@99cloud.net>
Date: Mon Mar 6 14:25:24 2017 +0800

    [networking] RFC 5737: selfservice-verifynetworkoperation

    Replaces non-compliant subnets in:

    deploy-selfservice-verifynetworkoperation.txt

    Change-Id: I26960df26a8d1dadca52aa901299b678c717b529
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/441755
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=685de89d71dd24d7f80b79a27dd4079e27945249
Submitter: Jenkins
Branch: master

commit 685de89d71dd24d7f80b79a27dd4079e27945249
Author: caoyuan <cao.yuan@99cloud.net>
Date: Mon Mar 6 14:15:14 2017 +0800

    [networking] RFC 5737: deploy-selfservice-initialnetworks

    Replaces non-compliant subnets in:

    deploy-selfservice-initialnetworks.txt

    Change-Id: I5d38d1511d64e685b7152be58df0e6475305bb24
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440681
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=448c802d64c82057061b0ccfa60f1e053917c5c5
Submitter: Jenkins
Branch: master

commit 448c802d64c82057061b0ccfa60f1e053917c5c5
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:40:36 2017 +0800

    [networking] RFC 5737: ovs-ha-dvr

    Replaces non-compliant subnets in:

    deploy-ovs-ha-dvr.rst

    Change-Id: If04aaa0397afd629fa337131e711eaa90952cb42
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440667
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=3f5495bb2a5ac0ad613a83d78e79af679f854d69
Submitter: Jenkins
Branch: master

commit 3f5495bb2a5ac0ad613a83d78e79af679f854d69
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:20:11 2017 +0800

    [networking] RFC 5737: sfc

    Replaces non-compliant subnets in:

    config-sfc.rst

    Change-Id: Id7e4d3d126da8eb0994d060eae28eef3c623213a
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/441746
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=9e65a7f0389d311b1e9a7150ef621f73cc811537
Submitter: Jenkins
Branch: master

commit 9e65a7f0389d311b1e9a7150ef621f73cc811537
Author: caoyuan <cao.yuan@99cloud.net>
Date: Mon Mar 6 13:27:58 2017 +0800

    [networking] RFC 5737: config-address-scopes

    Replaces non-compliant subnets in:

    config-address-scopes.rst

    Change-Id: Icd1cbfd6f4ace79f06e80f3b4c15f33b14179928
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/441756
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=c1b2862642ce594a04a0a671b2e207edb09a2315
Submitter: Jenkins
Branch: master

commit c1b2862642ce594a04a0a671b2e207edb09a2315
Author: caoyuan <cao.yuan@99cloud.net>
Date: Mon Mar 6 14:19:48 2017 +0800

    [networking] RFC 5737: ha-vrrp-initialnetworks

    Replaces non-compliant subnets in:

    deploy-ha-vrrp-initialnetworks.txt

    Change-Id: Ief69fa03ca806d21d4f6de1ac183191202fa4ca5
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/441753
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=6ad04c6b78da7ea8c0beb19fe74b98468b9e5f2f
Submitter: Jenkins
Branch: master

commit 6ad04c6b78da7ea8c0beb19fe74b98468b9e5f2f
Author: caoyuan <cao.yuan@99cloud.net>
Date: Mon Mar 6 14:09:13 2017 +0800

    [networking] RFC 5737: deploy-ha-vrrp-verifynetworkoperation

    Replaces non-compliant subnets in:

    deploy-ha-vrrp-verifynetworkoperation.rst

    Change-Id: I1af707a730c3aaf7e23689a9d29b1ca9ca48658b
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/447918
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=2c87a949e492cb0c02e5981017b102f45b4ddfe3
Submitter: Jenkins
Branch: master

commit 2c87a949e492cb0c02e5981017b102f45b4ddfe3
Author: caoyuan <cao.yuan@99cloud.net>
Date: Tue Mar 21 15:26:21 2017 +0800

    [networking] RFC 5737: cli-create-and-manage-networks

    Replaces non-compliant subnets in:

    cli-create-and-manage-networks.rst

    Change-Id: I11c83e0fdb5a950c2f7af193deffe57a663dc374
    Partial-Bug: #1656378

Changed in openstack-manuals:
assignee: caoyuan (cao-yuan) → John Davidge (john-davidge)

Reviewed: https://review.openstack.org/440703
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=538b518ab1ad42fbc1f584a023e616486483e54d
Submitter: Jenkins
Branch: master

commit 538b518ab1ad42fbc1f584a023e616486483e54d
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 01:04:22 2017 +0800

    [networking] RFC 5737: bgp-dynamic-routing

    Replaces non-compliant subnets in:

    bgp-dynamic-routing.rst

    Change-Id: I4ac3798ed2d779abe3f12acdecbb793d3e0d0f63
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/440695
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=c9bfea29efe8e67f557ade8c2824bb3b3023eab6
Submitter: Jenkins
Branch: master

commit c9bfea29efe8e67f557ade8c2824bb3b3023eab6
Author: caoyuan <cao.yuan@99cloud.net>
Date: Fri Mar 3 00:56:44 2017 +0800

    [networking] RFC 5737: deploy

    Replaces non-compliant subnets in:

    deploy.rst

    Change-Id: Iafef2301846cfb162d4088b3d45f40fd01928093
    Partial-Bug: #1656378

Akihiro Motoki (amotoki) wrote :

I am checking the progress and updating the etherpad linked at the top of bug description.
It is a good progress so far.

Changed in openstack-manuals:
assignee: John Davidge (john-davidge) → Akihiro Motoki (amotoki)
Akihiro Motoki (amotoki) wrote :

The remaining are four files (config-dns-int.rst, config-dns-res.rst, intro-nat.rst, intro-basic-networking.rst) and figures.
Good progress :)

Fix proposed to branch: master
Review: https://review.openstack.org/466135

Fix proposed to branch: master
Review: https://review.openstack.org/466164

Reviewed: https://review.openstack.org/466164
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=74048f67663a35404f9c2ffe318a11f2f4bd78ef
Submitter: Jenkins
Branch: master

commit 74048f67663a35404f9c2ffe318a11f2f4bd78ef
Author: Akihiro Motoki <email address hidden>
Date: Fri May 19 09:36:39 2017 +0900

    [networking] RFC 5737 compliance: service subnets

    Replace non-compliant subnets in:

    config-dns-res.rst

    There is no need to use real DNS IP addresses here.
    Replaces them with IP addresses in the documentation address blocks.

    Change-Id: I5af941ba520da9037def9984df7ec0afa7c54958
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/466135
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=aeb0c2e1e7d8f0b305aa26ac797b29373f30008f
Submitter: Jenkins
Branch: master

commit aeb0c2e1e7d8f0b305aa26ac797b29373f30008f
Author: Akihiro Motoki <email address hidden>
Date: Fri May 19 11:31:13 2017 +0900

    [networking] RFC 5737 compliance: service subnets

    Replace non-compliant subnets in:

    config-dns-int.rst

    Subnet mappings are as follows:
    - 172.24.4.0/24 -> 198.51.100.93/24
    - 172.24.5.0/24 -> 203.0.113.0/24
    - 10.0.0.0/24 -> 192.0.2.0/26
    - 10.0.1.0/24 -> 192.0.2.64/26
    - 55.114.111.93/24 -> 192.0.2.224/27

    The documentation address ranges are selected
    based on the following policy:
    - The size of the first two subnets must be 24
      because ipv4_ptr_zone_prefix_size is 24.
    - Address range of 192.0.2.0/25 are assigned to
      private subnets.
    - 192.0.2.224/27 is assigned to a subnet for designate API.

    Change-Id: If0084baca1fa723480c2f059d15dca2c93778be2
    Partial-Bug: #1656378

Reviewed: https://review.openstack.org/466134
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=c8b761a2d0e6157b6cdbaf8d861a6606042a805c
Submitter: Jenkins
Branch: master

commit c8b761a2d0e6157b6cdbaf8d861a6606042a805c
Author: Akihiro Motoki <email address hidden>
Date: Fri May 19 09:30:41 2017 +0900

    [networking] RFC 5737 compliance: service subnets

    Replace non-compliant subnets in:

    intro-basic-networking.rst

    Change-Id: Ie0d4aaaffbcf73b48fd10402c231d3cfe578ac4b
    Partial-Bug: #1656378

Fix proposed to branch: master
Review: https://review.openstack.org/466245

Changed in openstack-manuals:
assignee: Akihiro Motoki (amotoki) → Chason (chen-xing)

Reviewed: https://review.openstack.org/466125
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=b937d9582a8876247e47e97fabb8fa2d4080dde8
Submitter: Jenkins
Branch: master

commit b937d9582a8876247e47e97fabb8fa2d4080dde8
Author: Akihiro Motoki <email address hidden>
Date: Fri May 19 08:40:11 2017 +0900

    [networking] trunk: use different CIDR for different subnets

    trunk-parent and subport1 belong to different subnets,
    but they had IP addresses in a same CIDR. It looks strange.
    This is a regression during the conversion into the documentation
    IP address.

    backport: ocata

    Change-Id: I797a718798db277a054cc86d83963aacd0db913f
    Related-Bug: #1656378

Akihiro Motoki (amotoki) wrote :

The remaining work is to update address information in the figures.

Changed in openstack-manuals:
assignee: Chason (chen-xing) → Akihiro Motoki (amotoki)

Reviewed: https://review.openstack.org/466245
Committed: https://git.openstack.org/cgit/openstack/openstack-manuals/commit/?id=fd3ce4f61c305a0f936a825a8cadf9be5d8d0bae
Submitter: Jenkins
Branch: master

commit fd3ce4f61c305a0f936a825a8cadf9be5d8d0bae
Author: chenxing <chen.xing@99cloud.net>
Date: Fri May 19 09:50:33 2017 +0000

    [networking] RFC 5737 compliance: service subnets

    Replace non-compliant subnets in:

    intro-nat.rst

    Change-Id: I0033d5da4cdb2fb210dd21e3ecbacdb568da7604
    Partial-Bug: #1656378

Fix proposed to branch: master
Review: https://review.openstack.org/467314

Changed in openstack-manuals:
assignee: Akihiro Motoki (amotoki) → Chason (chen-xing)

Change abandoned by Alexandra Settle (<email address hidden>) on branch: master
Review: https://review.openstack.org/467314
Reason: Because of https://review.openstack.org/#/c/477105/

This content should now be moved to the neutron repository, unless this content is applicable for the Ocata branch. If so, please cherry pick :)

Moved to the neutron repo :)

Changed in openstack-manuals:
status: In Progress → Won't Fix
Changed in neutron:
status: New → Confirmed
Akihiro Motoki (amotoki) on 2017-09-12
tags: added: doc
removed: networking-guide
Changed in neutron:
assignee: nobody → Akihiro Motoki (amotoki)
importance: Undecided → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers